Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.amazonaws.services.elasticmapreduce.model
Class DescribeJobFlowsResult

    java.lang.Object
      com.amazonaws.services.elasticmapreduce.model.DescribeJobFlowsResult

    public class DescribeJobFlowsResult

extends Object

The output for the DescribeJobFlows operation.

Constructor Summary
`DescribeJobFlowsResult()`

Method Summary
`List<JobFlowDetail>` | `getJobFlows()` A list of job flows matching the parameters supplied.
`void` | `setJobFlows(Collection<JobFlowDetail> jobFlows)` A list of job flows matching the parameters supplied.
`String` | `toString()` Returns a string representation of this object; useful for testing and debugging.
`DescribeJobFlowsResult` | `withJobFlows(Collection<JobFlowDetail> jobFlows)` A list of job flows matching the parameters supplied.
`DescribeJobFlowsResult` | `withJobFlows(JobFlowDetail... jobFlows)` A list of job flows matching the parameters supplied.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DescribeJobFlowsResult

    public DescribeJobFlowsResult()

Method Detail

### getJobFlows

    public List<JobFlowDetail> getJobFlows()

  A list of job flows matching the parameters supplied.

  Returns:
    A list of job flows matching the parameters supplied.

### setJobFlows

    public void setJobFlows(Collection<JobFlowDetail> jobFlows)

  A list of job flows matching the parameters supplied.

  Parameters:
    `jobFlows` - A list of job flows matching the parameters supplied.

### withJobFlows

    public DescribeJobFlowsResult withJobFlows(JobFlowDetail... jobFlows)

  A list of job flows matching the parameters supplied.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `jobFlows` - A list of job flows matching the parameters supplied.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### withJobFlows

    public DescribeJobFlowsResult withJobFlows(Collection<JobFlowDetail> jobFlows)

  A list of job flows matching the parameters supplied.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `jobFlows` - A list of job flows matching the parameters supplied.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### toString

    public String toString()

  Returns a string representation of this object; useful for testing and debugging.

  Overrides:
    `toString` in class `Object`
  Returns:
    A string representation of this object.
  See Also:
    `Object.toString()`

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Amazon Web Services, Inc. All Rights Reserved.